//
//  CP514prf.h
//
//  Offset definition file for extensible counter objects and counters
//
//  These "relative" offsets must start at 0 and be multiples of 2 (i.e.
//  even numbers). In the Open Procedure, they will be added to the 
//  "First Counter" and "First Help" values fo the device they belong to, 
//  in order to determine the  absolute location of the counter and 
//  object names and corresponding help text in the registry.
//
//  this file is used by the extensible counter DLL code as well as the 
//  counter name and help text definition file (.INI) file that is used
//  by LODCTR to load the names into the registry.
//
//  Defined counters :
//
//		CP514OBJ		-	the CPIPE514 object.
//		CP514CNT_1		-	the CHDLC link status ( 1 - active, 0 - inactive ).
//		CP514CNT_2		-	number of Data frames available for the application.
//		CP514CNT_3		-	receiver status (1 - enabled, 0 - disabled).
//		CP514CNT_4		-	the total number of frames transmitted.
//		CP514CNT_5		-	the total number of bytes transmitted.
//		CP514CNT_6		-	transmit throughput.
//		CP514CNT_7		-	number of TX Data frames discarded (length error).
//		CP514CNT_8		-	the total number of frames received.
//		CP514CNT_9		-	the total number of bytes received.
//		CP514CNT_10		-	receive throughput.
//		CP514CNT_11		-	received Data frames discarded (too long).
//		CP514CNT_12		-	received Data frames discarded (too short).
//		CP514CNT_13		-	received Data frames discarded (link inactive).
//		CP514CNT_14		-	frames received with an invalid CHDLC control field count.
//		CP514CNT_15		-	frames received with an invalid CHDLC address count.
//		CP514CNT_16		-	frames received of with incomplete Cisco HDLC header.
//		CP514CNT_17		-	frames received of an invalid CHDLC frame type count.
//		CP514CNT_18		-	frames received of excessive length count.
//		CP514CNT_19		-	number of times that the link went active.
//		CP514CNT_20		-	number of times that the link went inactive (modem failure).
//		CP514CNT_21		-	number of times that the link went inactive (keepalive failure).
//		CP514CNT_22		-	link looped count.
//		CP514CNT_23		-	receiver overrun error count.
//		CP514CNT_24		-	number of receiver CRC errors.
//		CP514CNT_25		-	number of abort frames received.
//		CP514CNT_26		-	number of times that the receiver had to be disabled due to receive buffers being full.
//		CP514CNT_27		-	number of missed transmit underrun interrupts.
//		CP514CNT_28		-	number of times DCD dropped unexpectedly.
//		CP514CNT_29		-	number of times CTS dropped unexpectedly.
//		CP514CNT_30		-	the current DCD state ( 0 - down, 1 - up )
//		CP514CNT_31		-	the current CTS state ( 0 - down, 1 - up )
//		CP514CNT_32		-	the number of seconds the device has been up.
//
#define CP514OBJ				0
#define CP514CNT_1				2
#define CP514CNT_2				4
#define CP514CNT_3				6
#define CP514CNT_4				8
#define CP514CNT_5				10
#define CP514CNT_6				12
#define CP514CNT_7				14
#define CP514CNT_8				16
#define CP514CNT_9				18
#define CP514CNT_10				20
#define CP514CNT_11				22
#define CP514CNT_12				24
#define CP514CNT_13				26
#define CP514CNT_14				28
#define CP514CNT_15				30
#define CP514CNT_16				32
#define CP514CNT_17				34
#define CP514CNT_18				36
#define CP514CNT_19				38
#define CP514CNT_20				40
#define CP514CNT_21				42
#define CP514CNT_22				44
#define CP514CNT_23				46
#define CP514CNT_24				48
#define CP514CNT_25				50
#define CP514CNT_26				52
#define CP514CNT_27				54
#define CP514CNT_28				56
#define CP514CNT_29				58
#define CP514CNT_30				60
#define CP514CNT_31				62
#define CP514CNT_32				64

