//
//  fp508prf.h
//
//  Offset definition file for exensible counter objects and counters
//
//  These "relative" offsets must start at 0 and be multiples of 2 (i.e.
//  even numbers). In the Open Procedure, they will be added to the 
//  "First Counter" and "First Help" values fo the device they belong to, 
//  in order to determine the  absolute location of the counter and 
//  object names and corresponding help text in the registry.
//
//  this file is used by the extensible counter DLL code as well as the 
//  counter name and help text definition file (.INI) file that is used
//  by LODCTR to load the names into the registry.
//
//  Defined counters :
//
//		FP508OBJ		-	the FPIPE508 object.
//		FP508CNT_1		-	the channel status ( 1 - operative, 0 - not operative ).
//		FP508CNT_2		-	number of I-frames not transmitted ( bad DLCI or length ).
//		FP508CNT_3		-	number I-frames not transmitted due to excessive throughput.
//		FP508CNT_4		-	number of received in-channel signalling frames discarded ( format errors ).
//		FP508CNT_5		-	number of times that the N392 error threshold was reached during N393 monitored events.
//		FP508CNT_6		-	number CPE initializations.
//		FP508CNT_7		-	the current Tx Sequence Number.
//		FP508CNT_8		-	the current Rx Sequence Number.
//		FP508CNT_9		-	number of invalid Tx Sequence Numbers received.
//		FP508CNT_10		-	number of invalid Rx Sequence Numbers received.
//		FP508CNT_11		-	the current N392 count.
//		FP508CNT_12		-	the current N393 count.
//		FP508CNT_13		-	number of received I-frames discarded due to excessive length.
//		FP508CNT_14		-	number of received I-frames discarded due to DLCI not being configured.
//		FP508CNT_15		-	number of received I-frames discarded due to format error.
//		FP508CNT_16		-	number of receiver overrun errors.
//		FP508CNT_17		-	number of receiver CRC errors.
//		FP508CNT_18		-	number of abort frames received.
//		FP508CNT_19		-	number of times that the receiver had to be disabled due to receive buffers being full.
//		FP508CNT_20		-	number of abort frames transmitted.
//		FP508CNT_21		-	number of missed transmit underrun interrupts.
//		FP508CNT_22		-	number of times DCD dropped unexpectedly.
//		FP508CNT_23		-	number of times CTS dropped unexpectedly.
//		FP508CNT_24		-	the current DCD state ( 0 - down, 1 - up )
//		FP508CNT_25		-	the current CTS state ( 0 - down, 1 - up )
//		FP508CNT_26		-	the first active DLCI.
//		FP508CNT_27		-	the second active DLCI.
//		FP508CNT_28		-	the third active DLCI.
//		FP508CNT_29		-	the forth active DLCI.
//		FP508CNT_30		-	the fifth active DLCI.
//		FP508CNT_31		-	the total number of bytes transmitted.
//		FP508CNT_32		-	the total number of bytes received.
//		FP508CNT_33		-	the total number of frames transmitted.
//		FP508CNT_34		-	the total number of frames received.
//		FP508CNT_35		-	the number of seconds the device has been up.
//
#define FP508OBJ				0
#define FP508CNT_1				2
#define FP508CNT_2				4
#define FP508CNT_3				6
#define FP508CNT_4				8
#define FP508CNT_5				10
#define FP508CNT_6				12
#define FP508CNT_7				14
#define FP508CNT_8				16
#define FP508CNT_9				18
#define FP508CNT_10				20
#define FP508CNT_11				22
#define FP508CNT_12				24
#define FP508CNT_13				26
#define FP508CNT_14				28
#define FP508CNT_15				30
#define FP508CNT_16				32
#define FP508CNT_17				34
#define FP508CNT_18				36
#define FP508CNT_19				38
#define FP508CNT_20				40
#define FP508CNT_21				42
#define FP508CNT_22				44
#define FP508CNT_23				46
#define FP508CNT_24				48
#define FP508CNT_25				50
#define FP508CNT_26				52
#define FP508CNT_27				54
#define FP508CNT_28				56
#define FP508CNT_29				58
#define FP508CNT_30				60
#define FP508CNT_31				62
#define FP508CNT_32				64
#define FP508CNT_33				66
#define FP508CNT_34				68
#define FP508CNT_35				70
