//
//  pp508prf.h
//
//  Offset definition file for exensible counter objects and counters
//
//  These "relative" offsets must start at 0 and be multiples of 2 (i.e.
//  even numbers). In the Open Procedure, they will be added to the 
//  "First Counter" and "First Help" values fo the device they belong to, 
//  in order to determine the  absolute location of the counter and 
//  object names and corresponding help text in the registry.
//
//  this file is used by the extensible counter DLL code as well as the 
//  counter name and help text definition file (.INI) file that is used
//  by LODCTR to load the names into the registry.
//
//  Defined counters :
//
//		PP508OBJ		-	the PTPIPE8 object.
//		PP508CNT_1		-	the current PPP state ( 0 - Link Dead, 1 - Establishment, 2 - Authentication, 3 - Network Layer, 4 - Link Termination ).
//		PP508CNT_2		-	the current DCD state ( 0 - down, 1 - up ).
//		PP508CNT_3		-	the current CTS state ( 0 - down, 1 - up ).
//		PP508CNT_4		-	number of user bytes transmitted.
//		PP508CNT_5		-	number of user bytes received.
//		PP508CNT_6		-	number of user frames transmitted.
//		PP508CNT_7		-	number of user frames received.
//		PP508CNT_8		-	number of received frames with bad or excessive length.
//		PP508CNT_9		-	number of receiver overrun errors.
//		PP508CNT_10		-	number of receiver CRC errors.
//		PP508CNT_11		-	number of abort frames received.
//		PP508CNT_12		-	number of times that the receiver had to be disabled due to receive buffers being full.
//		PP508CNT_13		-	number of abort frames transmitted.
//		PP508CNT_14		-	number of missed transmit underrun interrupts.
//		PP508CNT_15		-	number of times DCD changed.
//		PP508CNT_16		-	number of times CTS changed.
//		PP508CNT_17		-	number of received packets discarded due to bad header.
//		PP508CNT_18		-	number of received packets discarded due to unknown or unsupported protocol.
//		PP508CNT_19		-	number of received LCP packets.
//		PP508CNT_20		-	number of transmitted LCP packets.
//		PP508CNT_21		-	number of received IPCP packets.
//		PP508CNT_22		-	number of transmitted IPCP packets.
//		PP508CNT_23		-	number of received IPXCP packets.
//		PP508CNT_24		-	number of transmitted IPXCP packets.
//		PP508CNT_25		-	number of received PAP packets.
//		PP508CNT_26		-	number of transmitted PAP packets.
//		PP508CNT_27		-	number of received CHAP packets.
//		PP508CNT_28		-	number of transmitted CHAP packets.
//		PP508CNT_29		-	number of received IP packets.
//		PP508CNT_30		-	number of transmitted IP packets.
//		PP508CNT_31		-	number of received IPX packets.
//		PP508CNT_32		-	number of transmitted IPX packets.
//		PP508CNT_33		-	the number of seconds the device has been up.
//
#define PP508OBJ				0
#define PP508CNT_1				2
#define PP508CNT_2				4
#define PP508CNT_3				6
#define PP508CNT_4				8
#define PP508CNT_5				10
#define PP508CNT_6				12
#define PP508CNT_7				14
#define PP508CNT_8				16
#define PP508CNT_9				18
#define PP508CNT_10				20
#define PP508CNT_11				22
#define PP508CNT_12				24
#define PP508CNT_13				26
#define PP508CNT_14				28
#define PP508CNT_15				30
#define PP508CNT_16				32
#define PP508CNT_17				34
#define PP508CNT_18				36
#define PP508CNT_19				38
#define PP508CNT_20				40
#define PP508CNT_21				42
#define PP508CNT_22				44
#define PP508CNT_23				46
#define PP508CNT_24				48
#define PP508CNT_25				50
#define PP508CNT_26				52
#define PP508CNT_27				54
#define PP508CNT_28				56
#define PP508CNT_29				58
#define PP508CNT_30				60
#define PP508CNT_31				62
#define PP508CNT_32				64
#define PP508CNT_33				66
